# BrainSuite Statistics Toolbox in R (bstr)
# Copyright (C) 2017 The Regents of the University of California
# Creator: Shantanu H. Joshi, Department of Neurology, Ahmanson Lovelace Brain Mapping Center, UCLA
#
# This program is free software; you can redistribute it and/or modify it under the terms
# of the GNU General Public License as published by the Free Software Foundation; version 2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
# without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License version 2 for more details.
#
# You should have received a copy of the GNU General Public License along with this program;
# if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

#' bstr: BrainSuite Statistics toolbox
#'
#' The BrainSuite Statistics toolbox allows the application of advanced
#' statistical models to volumetric image, cortical surface and sulcal
#' curve based outputs generated from BrainSuite. This enables population
#' or group analysis of cortical or sulcal morphology.
#' Available statistical models/tests are:
#' Pearson correlation
#' General linear model
#' ANOVA
#' Paired and Independent samples t-test
#'
#'
#' @docType package
#' @name bstr
NULL
