% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bssdata_class.R
\docType{class}
\name{BstrData-class}
\alias{BstrData-class}
\alias{BstrData}
\title{S4 class for storing data for statistical analysis}
\description{
S4 class for storing data for statistical analysis
}
\section{Slots}{

\describe{
\item{\code{data_array}}{matrix containing data of dimensions (N x T), where N = number of subjects and T = number of vertices/voxels.}

\item{\code{data_array_lh}}{matrix containing data for left hemisphere.}

\item{\code{data_array_rh}}{matrix containing data for right hemisphere.}

\item{\code{analysis_type}}{character string denoting the type of analysis. Valid types are "sba", "tbm" or "roi".}

\item{\code{data_type}}{character string denoting the type of data. Valid types are "surface" or "nifti_image".}

\item{\code{demographics}}{data.frame containing the demographic information. Usually loaded from a csv file.}

\item{\code{subjdir}}{character string for subject directory.}

\item{\code{csv}}{filename of a comma separated (csv) file containing the subject demographic information.}

\item{\code{smooth}}{numeric value used to smooth the data.}

\item{\code{measure}}{character string denoting the type of measure used.}

\item{\code{filelist}}{list of files belonging to N subjects.}

\item{\code{load_data_command}}{character string for the command used to load the data}

\item{\code{hemi}}{character string to specifiy the hemisphere. Valid values are "left" or "right" or "both"}

\item{\code{nvertices_lh}}{numeric value containing the number of vertices for the left cortical surface atlas}

\item{\code{nvertices_rh}}{numeric value containing the number of vertices for the right cortical surface atlas}
}}

