% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bss_stat_ops.R
\name{anova_vec}
\alias{anova_vec}
\title{A vectorized version of analysis of variance (ANOVA).}
\usage{
anova_vec(bstr_lm_full, bstr_lm_null, bstr_data)
}
\arguments{
\item{bstr_lm_full}{An object of type \code{\link{BstrModel}} returned from \code{\link{lm_vec}}.
This is a full model including both the main effect and covariates.}

\item{bstr_lm_null}{An object of type \code{\link{BstrModel}} returned from \code{\link{lm_vec}}.
This is a null model including only the covariates.}

\item{bstr_data}{Object of type \code{\link{BstrData}}}
}
\description{
This function compares results of model fitting after \code{\link{lm_vec}}.
It accepts a full model and and a reduced model and compares them using an F-test.
For most scenarios, the user does not need to call this function directly. This function
will be called internally from \code{\link{bstr_anova}}
}
\seealso{
\code{\link{bstr_anova}} for most commonly used function for ANOVA, \code{\link{lm_vec}} for vectorized linear regression, \code{\link{ttest_vec}} for
vectorized independent sample and paired t-tests.
}
