% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bssdata_class.R
\name{load_data}
\alias{load_data}
\alias{load_data,BstrData-method}
\alias{load_data,BstrSBAData-method}
\alias{load_data,BstrTBMData-method}
\alias{load_data,BstrDBAData-method}
\alias{load_data,BstrROIData-method}
\title{A generic function to load data for statistical analysis.}
\usage{
load_data(
  bstr_data,
  atlas_filename = NULL,
  maskfile = NULL,
  hemi = "left",
  measure = "",
  smooth = 0,
  eddy = TRUE,
  roiids = NULL,
  roimeas = NULL,
  exclude_col
)

\S4method{load_data}{BstrData}(bstr_data, roiids = NULL, roimeas = NULL, exclude_col)

\S4method{load_data}{BstrSBAData}(bstr_data, atlas_filename, hemi, smooth)

\S4method{load_data}{BstrTBMData}(bstr_data, atlas_filename, maskfile = NULL, smooth)

\S4method{load_data}{BstrDBAData}(bstr_data, atlas_filename, maskfile = NULL, measure, smooth, eddy)

\S4method{load_data}{BstrROIData}(bstr_data, roiids = NULL, roimeas = NULL, exclude_col)
}
\arguments{
\item{bstr_data}{object of type \code{\link{BstrData}}}

\item{atlas_filename}{path name to the atlas}

\item{maskfile}{path name to the mask file}

\item{hemi}{chaaracter string denoting the brain hemisphere. Should either be "left" or "right" or "both".}

\item{measure}{character specifying the brain imaging measure. If analyzing diffusion data, should be "FA".}

\item{smooth}{numeric value denoting the smoothing level.}

\item{eddy}{boolean for specifying if the diffusion images were eddy-current corrected or not.}

\item{roiids}{numeric label identifier for the region of interest (ROI) type analysis.}

\item{roimeas}{character string for the ROI measure. Should either be "gmthickness", "gmvolume", or "wmvolume".}

\item{exclude_col}{character string for the column in demographics csv (contains 1 or 0 for each row) specifying the subjects to exclude. 1 denotes include, 0 denotes exclude.}
}
\description{
A generic function to load data for statistical analysis.
}
\details{
For the most part, the user will never have to call this function directly.
Instead the user should call \code{\link{load_bstr_data}}.
}
\seealso{
\code{\link{load_bstr_data}}
}
