% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bssoutput_class.R
\name{save_out}
\alias{save_out}
\alias{save_out,BstrSBAOutput-method}
\alias{save_out,BstrTBMOutput-method}
\alias{save_out,BstrDBAOutput-method}
\alias{save_out,BstrROIOutput-method}
\title{Generic save function for \code{BstrOutput}}
\usage{
save_out(bstr_out, bstr_data, bstr_model, overwrite = FALSE, ...)

\S4method{save_out}{BstrSBAOutput}(bstr_out, bstr_data, bstr_model, overwrite = F)

\S4method{save_out}{BstrTBMOutput}(bstr_out, bstr_data, bstr_model, overwrite = F, nclusters = 10)

\S4method{save_out}{BstrDBAOutput}(bstr_out, bstr_data, bstr_model, overwrite = F, nclusters = 10)

\S4method{save_out}{BstrROIOutput}(bstr_out, bstr_data, bstr_model, overwrite = F)
}
\arguments{
\item{bstr_out}{object of type \code{BstrOutput}}

\item{bstr_data}{object of type \code{BstrData}}

\item{bstr_model}{object of type \code{BstrModel}}

\item{overwrite}{logical parameter denoting if existing output directory should be overwritten or not (default is FALSE)}

\item{...}{Extra named arguments passed to save_out}

\item{nclusters}{numeric parameter denoting number of clusters (default is 10)}
}
\description{
Generic save function for \code{BstrOutput}
}
\details{
For the most part, the user will never have to call this function directly.
Instead the user should call \code{\link{save_bstr_out}}.
}
\seealso{
\code{\link{save_bstr_out}}
}
